Package htsjdk.samtools.util.htsget

# Class HtsgetMalformedResponseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
htsjdk.samtools.util.htsget.HtsgetMalformedResponseException

All Implemented Interfaces:
  `Serializable`

public class HtsgetMalformedResponseException extends RuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HtsgetMalformedResponseException()`
`HtsgetMalformedResponseException(String s)`
`HtsgetMalformedResponseException(String s, Throwable throwable)`
`HtsgetMalformedResponseException(Throwable throwable)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HtsgetMalformedResponseException

public HtsgetMalformedResponseException()

### HtsgetMalformedResponseException

public HtsgetMalformedResponseException(String s)

### HtsgetMalformedResponseException

public HtsgetMalformedResponseException(String s, Throwable throwable)

### HtsgetMalformedResponseException

public HtsgetMalformedResponseException(Throwable throwable)